## seafile 6.1.5

=== integration-tests/requirements.txt ===
termcolor==1.1.0
prettytable==0.7.2
pexpect==4.0
requests==2.8.0
httpie
django-constance[database]
MySQL-python==1.2.5

=== msi/custom/Makefile ===
CC64 = x86_64-w64-mingw32-gcc.exe
DLLWRAP64 = x86_64-w64-mingw32-dllwrap.exe

CC32 = gcc.exe
DLLWRAP32 = dllwrap.exe

all: seafile_custom32.dll seafile_custom64.dll

CFLAGS = -Wall -O2
DLLWRAPFLAGS = -Wl,--enable-stdcall-fixup

custom32.o: custom.c
	$(CC32) $(CFLAGS) custom.c -c -o $@

custom64.o: custom.c
	$(CC64) $(CFLAGS) custom.c -c -o $@

seafile_custom32.dll: custom32.o
	$(DLLWRAP32) $(DLLWRAPFLAGS) --def custom.def $< -o $@

seafile_custom64.dll: custom64.o
	$(DLLWRAP64) $(DLLWRAPFLAGS) --def custom.def $< -o $@

clean:
	rm -f *.o *.dll

install:
uninstall:
distclean:

.PHONY: all clean

## seafile 6.0.1+git20161227.5f030ac

=== debian/changelog ===
seafile (6.0.1+git20161227.5f030ac-1) unstable; urgency=medium

  [ Christoph Martin ]
  * enable gpl-crypt in configure
  * Imported Upstream version 6.0.1+git20161227.5f030ac (Closes: #698681,
    #709295)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 27 Dec 2016 16:09:22 +0100

seafile (5.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #698681, #709295)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Apr 2016 21:56:40 +0200

=== debian/control ===
Source: seafile
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Build-Depends: debhelper (>= 10),
               autotools-dev,
               dh-autoreconf,
	       libgnutls28-dev,
               libsqlite3-dev,
	       intltool,
               libglib2.0-dev,
               libevent-dev,
               uuid-dev,
	       libtool,
	       libcurl4-gnutls-dev,
	       valac,
               dh-python,
               libjansson-dev,
               libsearpc-dev,
               libccnet-dev,
               python-all-dev,
Standards-Version: 3.9.8
Homepage: http://seafile.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/seafile.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/seafile.git

Package: seafile-daemon
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python:Depends},
	 ccnet (>= 5.1.2)
Suggests: seafile-gui, seafile-cli
Description: online file storage and collaboration tool (client daemon)
 Seafile enables you to build private cloud for file sharing and
 collaboration among team members in your company/organization. This
 is the Linux desktop client of the seafile system.
 .
 First you create a file library in the web and upload files to
 it. Then you share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile
 devices. You download a library to your PC. Whenever you add, delete
 or edit a file, the latest version be uploaded to the server
 automatically and then be synchronized to everyone's computer.
 .
 This package contains a client daemon to connect to seafile cloud.

Package: libseafile0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: online file storage and collaboration tool (shared libs)
 Seafile enables you to build private cloud for file sharing and
 collaboration among team members in your company/organization. This
 is the Linux desktop client of the seafile system.
 .
 First you create a file library in the web and upload files to
 it. Then you share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile
 devices. You download a library to your PC. Whenever you add, delete
 or edit a file, the latest version be uploaded to the server
 automatically and then be synchronized to everyone's computer.
 .
 This package contains the shared libraries.

Package: seafile-cli
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python:Depends},
	 libseafile0 (>= ${binary:Version}),
	 ccnet (>= 5.1.2),
	 seafile-daemon (>= ${binary:Version})
Description: online file storage and collaboration tool (client cli)
 Seafile enables you to build private cloud for file sharing and
 collaboration among team members in your company/organization. This
 is the Linux desktop client of the seafile system.
 .
 First you create a file library in the web and upload files to
 it. Then you share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile
 devices. You download a library to your PC. Whenever you add, delete
 or edit a file, the latest version be uploaded to the server
 automatically and then be synchronized to everyone's computer.
 .
 This package contains the client cli.

Package: libseafile-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends},
	 libseafile0 (= ${binary:Version})
Description: online file storage and collaboration tool (development libs)
 Seafile enables you to build private cloud for file sharing and
 collaboration among team members in your company/organization. This
 is the Linux desktop client of the seafile system.
 .
 First you create a file library in the web and upload files to
 it. Then you share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile
 devices. You download a library to your PC. Whenever you add, delete
 or edit a file, the latest version be uploaded to the server
 automatically and then be synchronized to everyone's computer.
 .
 This package contains the development libraries.

Package: seafile-daemon-dbg
Section: debug
Architecture: any
Depends: seafile-daemon (= ${binary:Version}),
	 ${misc:Depends},
	 ${shlibs:Depends}
Description: online file storage and collaboration tool (daemon debug symbols)
 Seafile enables you to build private cloud for file sharing and
 collaboration among team members in your company/organization. This
 is the Linux desktop client of the seafile system.
 .
 First you create a file library in the web and upload files to
 it. Then you share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile
 devices. You download a library to your PC. Whenever you add, delete
 or edit a file, the latest version be uploaded to the server
 automatically and then be synchronized to everyone's computer.
 .
 This package contains the daemon debug symbols

Package: libseafile-dbg
Section: debug
Multi-Arch: same
Architecture: any
Depends: libseafile0 (= ${binary:Version}),
	 ${misc:Depends},
	 ${shlibs:Depends}
Description: online file storage and collaboration tool (library debug symbols)
 Seafile enables you to build private cloud for file sharing and
 collaboration among team members in your company/organization. This
 is the Linux desktop client of the seafile system.
 .
 First you create a file library in the web and upload files to
 it. Then you share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile
 devices. You download a library to your PC. Whenever you add, delete
 or edit a file, the latest version be uploaded to the server
 automatically and then be synchronized to everyone's computer.
 .
 This package contains the library debug symbols

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/haiwen/seafile/tags .*/v?(\d[\d.]*)\.tar\.gz \
  debian sh debian/repack.stub

## seafile 6.0.2

=== debian/changelog ===
seafile (6.0.2-1) unstable; urgency=medium

  [ Moritz Schlarb ]
  * New upstream version 6.0.2

  [ Christoph Martin ]
  * add symbols file for libseafile0

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 20 Jan 2017 16:19:28 +0100

=== debian/control ===
--- 
+++ 
@@ -76,6 +76,7 @@
 	 ${misc:Depends},
 	 ${python:Depends},
 	 libseafile0 (>= ${binary:Version}),
+	 python-searpc,
 	 ccnet (>= 5.1.2),
 	 seafile-daemon (>= ${binary:Version})
 Description: online file storage and collaboration tool (client cli)

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/haiwen/seafile/tags .*/v?(\d[\d.]*)\.tar\.gz

## seafile 6.0.4

=== debian/changelog ===
seafile (6.0.4-1) unstable; urgency=medium

  [ Moritz Schlarb ]
  * New upstream version 6.0.4
  * Fix watch file

  [ Christoph Martin ]
  * add needed python files (closes: #854950)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 28 Feb 2017 14:40:45 +0100

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-	 ${misc:Depends}
+	 ${misc:Depends},
+	 ${python:Depends}
 Description: online file storage and collaboration tool (shared libs)
  Seafile enables you to build private cloud for file sharing and
  collaboration among team members in your company/organization. This

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2 --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-gpl-crypto=yes
#	  --enable-server \
#	  --enable-fuse \
#	  --enable-client \
#	  --enable-python \
#	  --disable-riak \
#	  --disable-ceph

#override_dh_install:
#	dh_install -X.la -X.pyc -X.pyo --fail-missing

override_dh_auto_test:
# make check seems to be broken

override_dh_strip:
	# emptying the dependency_libs field in .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
	dh_strip -pseafile-daemon --dbg-package=seafile-daemon-dbg
	dh_strip -plibseafile0 -plibseafile-dev --dbg-package=libseafile-dbg

## seafile 6.0.6

=== debian/changelog ===
seafile (6.0.6-1) unstable; urgency=medium

  * Add myself to Uploaders
  * New upstream version 6.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 10 May 2017 15:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Uploaders: Christoph Martin <martin@uni-mainz.de>
+Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends: debhelper (>= 10),
                autotools-dev,
                dh-autoreconf,

## seafile 6.0.7

=== debian/changelog ===
seafile (6.0.7-1build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:52:45 +0000

seafile (6.0.7-1) unstable; urgency=medium

  * New upstream version 6.0.7
  * Migration from -dbg to -dbgsym packages

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jul 2017 10:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: seafile
 Section: net
 Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends: debhelper (>= 10),
                autotools-dev,
@@ -116,46 +117,3 @@
  automatically and then be synchronized to everyone's computer.
  .
  This package contains the development libraries.
-
-Package: seafile-daemon-dbg
-Section: debug
-Architecture: any
-Depends: seafile-daemon (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${shlibs:Depends}
-Description: online file storage and collaboration tool (daemon debug symbols)
- Seafile enables you to build private cloud for file sharing and
- collaboration among team members in your company/organization. This
- is the Linux desktop client of the seafile system.
- .
- First you create a file library in the web and upload files to
- it. Then you share it into a team or with another user.
- .
- File libraries can also be synchronized among computers and mobile
- devices. You download a library to your PC. Whenever you add, delete
- or edit a file, the latest version be uploaded to the server
- automatically and then be synchronized to everyone's computer.
- .
- This package contains the daemon debug symbols
-
-Package: libseafile-dbg
-Section: debug
-Multi-Arch: same
-Architecture: any
-Depends: libseafile0 (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${shlibs:Depends}
-Description: online file storage and collaboration tool (library debug symbols)
- Seafile enables you to build private cloud for file sharing and
- collaboration among team members in your company/organization. This
- is the Linux desktop client of the seafile system.
- .
- First you create a file library in the web and upload files to
- it. Then you share it into a team or with another user.
- .
- File libraries can also be synchronized among computers and mobile
- devices. You download a library to your PC. Whenever you add, delete
- or edit a file, the latest version be uploaded to the server
- automatically and then be synchronized to everyone's computer.
- .
- This package contains the library debug symbols

## seafile 6.1.1

=== debian/changelog ===
seafile (6.1.1-1~bpo9+1) stretch-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 13 Nov 2017 21:13:33 +0100

seafile (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Sep 2017 14:25:31 +0200

seafile (6.1.0-1) unstable; urgency=medium

  * New upstream version 6.1.0

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Aug 2017 10:28:38 +0200

seafile (6.0.6-1~bpo9+1) stretch-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 30 Jun 2017 11:50:20 +0200

## seafile 6.1.3

=== debian/changelog ===
seafile (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 15 Nov 2017 09:28:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: seafile
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends: debhelper (>= 10),
                autotools-dev,

## seafile 6.1.4

=== debian/changelog ===
seafile (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 20 Dec 2017 16:03:51 +0100

## seafile 6.1.5

=== debian/changelog ===
seafile (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 16 Feb 2018 09:22:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -38,5 +38,4 @@
 override_dh_strip:
 	# emptying the dependency_libs field in .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
-	dh_strip -pseafile-daemon --dbg-package=seafile-daemon-dbg
-	dh_strip -plibseafile0 -plibseafile-dev --dbg-package=libseafile-dbg
+	dh_strip --dbgsym-migration='seafile-daemon-dbg (<< 6.0.7-1), libseafile-dbg (<< 6.0.7-1)'

## seafile 6.1.7

=== debian/changelog ===
seafile (6.1.7-1) unstable; urgency=medium

  * Move Vcs-* to Salsa
  * New upstream version 6.1.7
  * Update and cleanup debian/control and debian/rules
  * Update d/rules to current debhelper 10 standard
  * Introduce python-seafile package
    (Closes: #893040)
  * Add Breaks+Replaces for new binary python-seafile
  * Add dependency seafile-client -> python-ccnet

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 23 Apr 2018 11:39:06 +0200

=== debian/control ===
Source: seafile
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Section: net
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 intltool,
 libccnet-dev,
 libcurl4-gnutls-dev,
 libevent-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libjansson-dev,
 libsearpc-dev,
 libsqlite3-dev,
 libtool,
 python-all,
 uuid-dev,
 valac
Standards-Version: 4.1.4
Homepage: https://github.com/haiwen/seafile
Vcs-Browser: https://salsa.debian.org/debian/seafile
Vcs-Git: https://salsa.debian.org/debian/seafile.git

Package: seafile-daemon
Architecture: any
#Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 ccnet (>= 5.1.2)
Suggests: seafile-gui, seafile-cli
Description: Client daemon for the Seafile Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the client daemon for Seafile.

Package: seafile-cli
Architecture: any
Section: utils
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 seafile-daemon (>= ${binary:Version}),
 python-ccnet,
 python-searpc
Description: Client CLI for the Seafile Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the client CLI for Seafile.

Package: libseafile0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for the Seafile Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the shared library for Seafile.

Package: libseafile-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libseafile0 (= ${binary:Version})
Description: Development files for the Seafile Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the development files for Seafile.

Package: python-seafile
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python-searpc
Replaces: libseafile0 (<< 6.1.7-1)
Breaks: libseafile0 (<< 6.1.7-1)
Description: Python bindings for the Seafile Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the Python bindings for Seafile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1
#
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-gpl-crypto=yes
#	  --enable-server \
#	  --enable-fuse \
#	  --enable-client \
#	  --enable-python \
#	  --disable-riak \
#	  --disable-ceph

override_dh_strip:
	# emptying the dependency_libs field in .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
	dh_strip --dbgsym-migration='seafile-daemon-dbg (<< 6.0.7-1), libseafile-dbg (<< 6.0.7-1)'

## seafile 6.1.8

=== debian/changelog ===
seafile (6.1.8-1) unstable; urgency=medium

  * Streamline d/copyright (Closes: #898608) and d/rules
  * New upstream version 6.1.8
  * Add Lintian override for libseafile0: library-not-linked-against-libc
  * Correct dependencies in d/control

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 24 May 2018 14:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 #Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
  ccnet (>= 5.1.2)
-Suggests: seafile-gui, seafile-cli
+Suggests: seafile-gui | seafile-cli
 Description: Client daemon for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
@@ -47,8 +47,8 @@
 Section: utils
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
  seafile-daemon (>= ${binary:Version}),
- python-ccnet,
- python-searpc
+ python-seafile,
+ python-ccnet
 Description: Client CLI for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

## seafile 6.2.0

=== debian/changelog ===
seafile (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * Add DEP8 tests from autodep8
  * Remove ccnet dependency
  * Update symbols file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 28 Jun 2018 21:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  debhelper (>= 10),
  dh-python,
  intltool,
- libccnet-dev,
  libcurl4-gnutls-dev,
  libevent-dev,
  libglib2.0-dev,
@@ -27,8 +26,7 @@
 Package: seafile-daemon
 Architecture: any
 #Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends},
- ccnet (>= 5.1.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: seafile-gui | seafile-cli
 Description: Client daemon for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
@@ -47,8 +45,7 @@
 Section: utils
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
  seafile-daemon (>= ${binary:Version}),
- python-seafile,
- python-ccnet
+ python-seafile
 Description: Client CLI for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import seafile; print seafile" ; done
Depends: python-all, python-seafile

## seafile 6.2.4

=== debian/changelog ===
seafile (6.2.4-1) unstable; urgency=medium

  * New upstream version 6.2.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Aug 2018 10:56:11 +0200

## seafile 6.2.5

=== debian/changelog ===
seafile (6.2.5-3) unstable; urgency=medium

  * Mark current autodep8 test as superficial, which is more honest
  * Add Salsa Pipeline (https://salsa.debian.org/salsa-ci-team/pipeline)
  * Add Breaks: seafile-gui (<= 6.2.5) (Closes: #913405)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 12 Nov 2018 11:40:47 +0100

seafile (6.2.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote python-all to Build-Depends-Indep. (Closes: #902217)

  [ Moritz Schlarb ]
  * Previous upload resolved unusability since 6.2.0
    (Closes: #902947)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 08 Nov 2018 12:14:01 +0100

seafile (6.2.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Moritz Schlarb ]
  * Change Maintainer to Debian Seafile Team
  * New upstream version 6.2.5
  * Update Standards-Version
  * Update dependency version of libsearpc
  * Add patch for curl 7.62.0
  * Add symbols file entry Build-Depends-Package

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 08 Nov 2018 11:57:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: seafile
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -12,13 +12,14 @@
  libglib2.0-dev,
  libgnutls28-dev,
  libjansson-dev,
- libsearpc-dev,
+ libsearpc-dev (>= 3.1.0),
  libsqlite3-dev,
  libtool,
- python-all,
  uuid-dev,
  valac
-Standards-Version: 4.1.4
+Build-Depends-Indep:
+ python-all
+Standards-Version: 4.2.1
 Homepage: https://github.com/haiwen/seafile
 Vcs-Browser: https://salsa.debian.org/debian/seafile
 Vcs-Git: https://salsa.debian.org/debian/seafile.git
@@ -64,6 +65,7 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: seafile-gui (<= 6.2.5)
 Description: Shared library for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

## seafile 6.2.7

=== debian/changelog ===
seafile (6.2.7-1) unstable; urgency=medium

  * New upstream version 6.2.7
  * Drop CURLE_SSL_CACERT patch

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 23 Nov 2018 09:13:02 +0100

seafile (6.2.5-5) unstable; urgency=medium

  * Fix Dependency of seafile-cli

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 12 Nov 2018 15:41:36 +0100

seafile (6.2.5-4) unstable; urgency=medium

  * Be more strict and explicit about dependency versions.

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 12 Nov 2018 15:13:53 +0100

## seafile 6.2.9

=== debian/changelog ===
seafile (6.2.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Fix gbp.conf for backports branch

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 03 Jan 2019 07:20:20 +0100

seafile (6.2.9-1) unstable; urgency=medium

  * New upstream version 6.2.9

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 11 Dec 2018 11:55:56 +0100

seafile (6.1.8-1~bpo9+1) stretch-backports; urgency=medium

  * Backports rebuild

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 25 May 2018 11:20:20 +0200

seafile (6.1.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 20 Dec 2017 16:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libsqlite3-dev,
  libtool,
  uuid-dev,
- valac
+ valac,
 Build-Depends-Indep:
  python-all
 Standards-Version: 4.2.1
@@ -42,11 +42,12 @@
  This package contains the client daemon for Seafile.
 
 Package: seafile-cli
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Section: utils
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
  seafile-daemon (>= ${binary:Version}),
- python-seafile
+ python-seafile (>= ${binary:Version}),
 Description: Client CLI for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
@@ -83,7 +84,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
- libseafile0 (= ${binary:Version})
+ libseafile0 (= ${binary:Version}),
 Description: Development files for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
@@ -101,7 +102,7 @@
 Multi-Arch: foreign
 Section: python
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-searpc
+ python-searpc (>= 3.1.0),
 Replaces: libseafile0 (<< 6.1.7-1)
 Breaks: libseafile0 (<< 6.1.7-1)
 Description: Python bindings for the Seafile Client

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import seafile; print seafile" ; done
Depends: python-all, python-seafile
Restrictions: superficial

## seafile 6.2.11

=== debian/changelog ===
seafile (6.2.11-1) unstable; urgency=medium

  * New upstream version 6.2.11
  * Raise Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 29 Jan 2019 20:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  valac,
 Build-Depends-Indep:
  python-all
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/haiwen/seafile
 Vcs-Browser: https://salsa.debian.org/debian/seafile
 Vcs-Git: https://salsa.debian.org/debian/seafile.git

## seafile 7.0.2

=== debian/changelog ===
seafile (7.0.2-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Moritz Schlarb ]
  * New upstream version 7.0.2
  * Add patch to Fix seafile_generate_repo_salt for USE_GPL_CRYPTO
  * Update pkgconfig patch
  * Update symbols
  * Update Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Oct 2019 14:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  valac,
 Build-Depends-Indep:
  python-all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/haiwen/seafile
 Vcs-Browser: https://salsa.debian.org/debian/seafile
 Vcs-Git: https://salsa.debian.org/debian/seafile.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
-#DH_VERBOSE = 1
-#
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -18,14 +17,7 @@
 	dh $@ --with python2
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	  --with-gpl-crypto=yes
-#	  --enable-server \
-#	  --enable-fuse \
-#	  --enable-client \
-#	  --enable-python \
-#	  --disable-riak \
-#	  --disable-ceph
+	dh_auto_configure -- --with-gpl-crypto=yes
 
 override_dh_strip:
 	# emptying the dependency_libs field in .la files

## seafile 7.0.4

=== debian/changelog ===
seafile (7.0.4-4) unstable; urgency=medium

  * Fix autopkgtest for Python 3

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 30 Dec 2019 09:20:06 +0100

seafile (7.0.4-3) unstable; urgency=medium

  * Version bump for source-only upload to allow migration to testing

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 27 Dec 2019 09:45:55 +0100

seafile (7.0.4-2) unstable; urgency=medium

  * Update dependency version searpc

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Nov 2019 10:55:02 +0100

seafile (7.0.4-1) unstable; urgency=medium

  * New upstream version 7.0.4
  * Salsa CI: Publish Package Repo via Aptly for seafile-client
  * Add Python 3 Support (Closes: #938459)
  * Update Patches
  * Update Symbols File

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Nov 2019 10:36:05 +0100

## seafile 7.0.5

=== debian/changelog ===
seafile (7.0.5-2) unstable; urgency=medium

  * Fix shebang in seaf-cli for Python 3
    (Closes: #938459)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 20 Jan 2020 09:33:42 +0100

seafile (7.0.5-1) unstable; urgency=medium

  * New upstream version 7.0.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 14 Jan 2020 12:02:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gpl-crypto=yes
@@ -23,3 +23,7 @@
 	# emptying the dependency_libs field in .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
 	dh_strip --dbgsym-migration='seafile-daemon-dbg (<< 6.0.7-1), libseafile-dbg (<< 6.0.7-1)'
+
+override_dh_install:
+	sed -e '1 s/python/python3/' -i $(CURDIR)/debian/tmp/usr/bin/seaf-cli
+	dh_install

## seafile 7.0.6

=== msi/Makefile ===
CULTURE = zh-cn
LANG_FILE = zh_CN.wxl
TARGET = seafile.msi
ifeq (${MAKECMDGOALS}, en)
	CULTURE = en-us
	LANG_FILE = en_US.wxl
	TARGET = seafile-en.msi
endif
ifeq (${MAKECMDGOALS}, de)
	CULTURE = de-de
	LANG_FILE = de_DE.wxl
	TARGET = seafile-de.msi
endif

all : $(TARGET)
en: all
de: all

CC=candle.exe
LD=light.exe

CFLAGS = -nologo -ext WixUIExtension -ext WixUtilExtension
LDFLAGS = -nologo -spdb -ext \
	WixUIExtension -ext WixUtilExtension \
	-loc ${LANG_FILE} -cultures:${CULTURE} \
	-sice:ICE80

sources = WixUI_InstallDir_NoLicense.wxs MyInstallDirDlg.wxs \
	seafile.wxs fragment.wxs shell.wxs

OBJECTS = ${sources:%.wxs=%.wixobj} 

fragment.wxs: 
	Paraffin.exe -dir bin -g -alias bin -custom bin fragment.wxs

%.wixobj : %.wxs
	$(CC) $(CFLAGS) $< -o $@

seafile.wixobj : seafile.wxs Includes.wxi
	$(CC) $(CFLAGS) $< -o $@

$(TARGET) : $(OBJECTS) $(LANG_FILE)
	$(LD) $(LDFLAGS) $(OBJECTS) -o $@

clean :
	rm -f $(OBJECTS) *.msi fragment.*

.PHONY: all en de clean

=== debian/changelog ===
seafile (7.0.6-1) unstable; urgency=medium

  * Update Standards-Version
  * Switch to declarative debhelper specification
  * New upstream version 7.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 13 Feb 2020 09:41:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gpl-crypto=yes
@@ -24,6 +24,5 @@
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
 	dh_strip --dbgsym-migration='seafile-daemon-dbg (<< 6.0.7-1), libseafile-dbg (<< 6.0.7-1)'
 
-override_dh_install:
+execute_before_dh_install:
 	sed -e '1 s/python/python3/' -i $(CURDIR)/debian/tmp/usr/bin/seaf-cli
-	dh_install

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import seafile; print seafile" ; done
Depends: python3-all, python3-seafile
Restrictions: superficial

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/seafile-$1\.tar\.gz/ \
  https://github.com/haiwen/seafile/tags .*/v?(\d[\d.]*)\.tar\.gz

## seafile 7.0.7

=== debian/changelog ===
seafile (7.0.7-1build1) groovy; urgency=medium

  * No change rebuild against new libnettle8 and libhogweed6 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 22:37:55 +0100

seafile (7.0.7-1) unstable; urgency=medium

  * New upstream version 7.0.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 12 May 2020 09:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: seafile
-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
+ dh-sequence-python3,
  intltool,
  libcurl4-gnutls-dev,
  libevent-dev,
  libglib2.0-dev,
  libgnutls28-dev,
  libjansson-dev,
- libsearpc-dev (>= 3.1.0),
+ libsearpc-dev (>= 3.2.0),
  libsqlite3-dev,
  libtool,
  uuid-dev,
  valac,
 Build-Depends-Indep:
- python-all
-Standards-Version: 4.4.1
+ python3-all
+Standards-Version: 4.5.0
 Homepage: https://github.com/haiwen/seafile
 Vcs-Browser: https://salsa.debian.org/debian/seafile
 Vcs-Git: https://salsa.debian.org/debian/seafile.git
@@ -45,9 +47,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: utils
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
  seafile-daemon (>= ${binary:Version}),
- python-seafile (>= ${binary:Version}),
+ python3-seafile (>= ${binary:Version}),
 Description: Client CLI for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
@@ -97,15 +99,15 @@
  .
  This package contains the development files for Seafile.
 
-Package: python-seafile
+Package: python3-seafile
 Architecture: all
 Multi-Arch: foreign
 Section: python
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-searpc (>= 3.1.0),
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ python3-searpc (>= 3.2.0),
 Replaces: libseafile0 (<< 6.1.7-1)
 Breaks: libseafile0 (<< 6.1.7-1)
-Description: Python bindings for the Seafile Client
+Description: Python 3 bindings for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
  .
@@ -115,4 +117,4 @@
  a user chosen password. Seafile also allows users to create groups and
  easily sharing files into groups.
  .
- This package contains the Python bindings for Seafile.
+ This package contains the Python 3 bindings for Seafile.

## seafile 7.0.8

=== debian/changelog ===
seafile (7.0.8-1ubuntu2) groovy; urgency=medium

  * Drop hack leading to python33 shebang (Closes: #964771)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jul 2020 11:35:34 +0200

seafile (7.0.8-1) unstable; urgency=medium

  * New upstream version 7.0.8

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 06 Jul 2020 09:42:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gpl-crypto=yes
@@ -23,6 +23,3 @@
 	# emptying the dependency_libs field in .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
 	dh_strip --dbgsym-migration='seafile-daemon-dbg (<< 6.0.7-1), libseafile-dbg (<< 6.0.7-1)'
-
-execute_before_dh_install:
-	sed -e '1 s/python/python3/' -i $(CURDIR)/debian/tmp/usr/bin/seaf-cli

## seafile 7.0.10

=== debian/changelog ===
seafile (7.0.10-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Moritz Schlarb ]
  * New upstream version 7.0.10
  * Purge *.la files

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 11:33:16 +0100

seafile (7.0.8-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop hack in python->python3 shebang switch. (Closes: #964771)
    Thanks!

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 10 Jul 2020 12:06:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: seafile
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional

## seafile 8.0.4

=== debian/changelog ===
seafile (8.0.4-1) unstable; urgency=medium

  * New upstream version 8.0.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 22 Sep 2021 21:35:20 +0200

seafile (8.0.3-1) unstable; urgency=medium

  * Bump debhelper, Standards-Version and watch standard
  * New upstream version 8.0.3
    * Add V4 encryption library support, which will be available in server 8.0
    * [Cli] Add --json option for listing libraries

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Sep 2021 10:05:02 +0200

## seafile 8.0.5

=== debian/changelog ===
seafile (8.0.5-1) unstable; urgency=medium

  * New upstream version 8.0.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 22 Nov 2021 20:07:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: net
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
  intltool,
@@ -20,7 +20,7 @@
  valac,
 Build-Depends-Indep:
  python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/haiwen/seafile
 Vcs-Browser: https://salsa.debian.org/debian/seafile
 Vcs-Git: https://salsa.debian.org/debian/seafile.git

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gpl-crypto=yes
 
-override_dh_strip:
-	# emptying the dependency_libs field in .la files
-	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
-	dh_strip --dbgsym-migration='seafile-daemon-dbg (<< 6.0.7-1), libseafile-dbg (<< 6.0.7-1)'
+override_dh_install:
+	# Purge *.la files. See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval
+	rm -f $(CURDIR)/debian/tmp/usr/lib/*/*.la
+	dh_install

## seafile 8.0.6

=== debian/changelog ===
seafile (8.0.6-1) unstable; urgency=medium

  * New upstream version 8.0.6
  * Fix installation of optimized bytecode

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 31 Mar 2022 09:09:20 +0200

## seafile 8.0.7

=== debian/changelog ===
seafile (8.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Moritz Schlarb ]
  * New upstream version 8.0.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 03 May 2022 20:39:14 +0200

## seafile 8.0.8

=== debian/changelog ===
seafile (8.0.8-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:58:12 +0200

seafile (8.0.8-1) unstable; urgency=medium

  * New upstream version 8.0.8
  * Avoid explicitly specifying -Wl,--as-needed linker flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 01 Aug 2022 14:04:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: seafile
-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -67,7 +68,6 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: seafile-gui (<= 6.2.5)
 Description: Shared library for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
@@ -104,8 +104,6 @@
 Section: python
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
  python3-searpc (>= 3.2.0),
-Replaces: libseafile0 (<< 6.1.7-1)
-Breaks: libseafile0 (<< 6.1.7-1)
 Description: Python 3 bindings for the Seafile Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

## seafile 8.0.9

=== debian/changelog ===
seafile (8.0.9-3) unstable; urgency=medium

  * Add patch to add USER_AGENT_OS Macro for hurd-i386

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 21 Dec 2022 10:33:19 +0100

seafile (8.0.9-2) unstable; urgency=medium

  * Update lintian overrides file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 19 Dec 2022 16:16:31 +0100

seafile (8.0.9-1) unstable; urgency=medium

  * New upstream version 8.0.9

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 24 Nov 2022 14:58:27 +0100

## seafile 8.0.10

=== debian/changelog ===
seafile (8.0.10-1) unstable; urgency=medium

  * New upstream version 8.0.10
  * Bump Standards-Version
  * Make lintian override arch-unspecific
  * Add libwebsockets dependency
  * Fix building with currently packaged libwebsockets

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Dec 2022 10:29:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: seafile
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -16,12 +15,13 @@
  libjansson-dev,
  libsearpc-dev (>= 3.2.0),
  libsqlite3-dev,
+ libwebsockets-dev,
  libtool,
  uuid-dev,
  valac,
 Build-Depends-Indep:
  python3-all
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/haiwen/seafile
 Vcs-Browser: https://salsa.debian.org/debian/seafile
 Vcs-Git: https://salsa.debian.org/debian/seafile.git

## seafile 9.0.3

=== debian/changelog ===
seafile (9.0.3-1) unstable; urgency=medium

  * New upstream version 9.0.3

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Jun 2023 12:26:20 +0200
